(*
Micrometer by Uri Fridman.
This code is released under the GPL, there are no warranties. Use at your own
risk. Please refer to the file COPYING.txt for more information
*)
unit options;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls;

type
  TForm2 = class(TForm)
    CheckBox1: TCheckBox;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    Button1: TButton;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Label2: TLabel;
    CheckBox4: TCheckBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses main;

{$R *.dfm}

procedure TForm2.CheckBox1Click(Sender: TObject);
begin
   if not CheckBox1.Checked then
   begin
      form1.AlphaBlend:=false;
      TrackBar1.Enabled:=false;
   end
   else
   begin
      form1.AlphaBlend:=true;
      TrackBar1.Enabled:=true;
      form1.AlphaBlendValue:=TrackBar1.Position;
   end;
end;

procedure TForm2.TrackBar1Change(Sender: TObject);
begin
   label1.Caption:=inttostr(TrackBar1.Position)+'%';
   form1.AlphaBlendValue:=TrackBar1.Position;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
   label1.Caption:=inttostr(TrackBar1.Position)+'%';
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
   CheckBox1.Checked:=form1.transparency;
   TrackBar1.Position:=form1.transvalue;
   label1.Caption:=inttostr(form1.transvalue);
   CheckBox2.Checked:=form1.checknet;
   CheckBox3.Checked:=form1.fulltransparency;
   CheckBox4.Checked:=form1.showclock;
end;

procedure TForm2.CheckBox2Click(Sender: TObject);
begin
   if not CheckBox2.Checked then
   begin
     form1.Width:=118;
     form1.Label5.Visible:=false;
     form1.Label6.Visible:=false;
     form1.ALProgressBar3.Enabled:=false;
     form1.ALProgressBar3.Visible:=false;
     form1.checknet:=false;
   end
   else
   begin
     form1.Width:=173;
     form1.Label5.Visible:=true;
     form1.Label6.Visible:=true;
     form1.ALProgressBar3.Enabled:=true;
     form1.ALProgressBar3.Visible:=true;
     form1.checknet:=true;
   end;
end;

procedure TForm2.CheckBox3Click(Sender: TObject);
begin
  if CheckBox3.Checked then
     form1.TransparentColor:=true
  else
     form1.TransparentColor:=false;
end;

procedure TForm2.CheckBox4Click(Sender: TObject);
begin
   if CheckBox4.Checked then
   begin
      form1.Label7.Visible:=true;
      form1.Height:=70;
   end
   else
   begin
      form1.Label7.Visible:=false;
      form1.Height:=47;
   end;
end;

end.
